Skip to content

API: Jobs

This section explains how to inspect and control server and plugin background jobs.


List Active Jobs

Retrieve jobs that are currently active.

GET /api/v1/jobs/active HTTP/1.1
Authorization: Bearer {JWT_TOKEN}

Optional query parameters:

  • sort: Sorting format {FIELD}:{ASC/DESC} (can be used multiple times)

List All Jobs

Retrieve all jobs, with optional paging and filtering.

GET /api/v1/jobs/all HTTP/1.1
Authorization: Bearer {JWT_TOKEN}

Optional query parameters:

  • page: Page number
  • pageSize: Number of items per page
  • name: Filter by job name
  • status: Filter by job status
  • sort: Sorting format {FIELD}:{ASC/DESC} (can be used multiple times)

Get Job Details

Fetch a specific job by ID.

GET /api/v1/job/{JOB_ID} HTTP/1.1
Authorization: Bearer {JWT_TOKEN}

Pause a Job

Send a pause signal to a job.

POST /api/v1/job/{JOB_ID}/pause HTTP/1.1
Authorization: Bearer {JWT_TOKEN}

Resume a Job

Send a resume signal to a job.

POST /api/v1/job/{JOB_ID}/resume HTTP/1.1
Authorization: Bearer {JWT_TOKEN}

Restart a Job

Send a restart signal to a job.

POST /api/v1/job/{JOB_ID}/restart HTTP/1.1
Authorization: Bearer {JWT_TOKEN}